# Subnet-associated IPv6 - AddSubnetIPv6

## Overview

Subnet-associated IPv6






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `AddSubnetIPv6`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.ckcloudai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [Region and Zone List](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Zone. See [Region and Zone List](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. Leave it blank for the default project. Sub-accounts must fill in. Please refer to the [GetProjectList API](/docs/api/summary/get_project_list) |No|
| **SubnetworkId** | string | Subnetwork Id |**Yes**|
| **VPCIPv6Network** | string | The IPv6 segment of the associated UVPC, optional. If not filled, a default UVPC IPv6 segment will be allocated. |No|
| **IPv6Network** | string | Specified IPv6 network segment |No|
| **IPv6PrefixLength** | int | Specified IPv6 network segment mask |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **IPv6Network** | string | IPv6 network segment |**Yes**|




## Example

### Request Example
    
```
https://api.ckcloudai.com/?Action=AddSubnetIPv6
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=vVmzbrAp
&SubnetworkId=xBvmSZSv
&VPCIPv6Network=VDhSNLXX
&IPv6Network=JDtTXvuj
&IPv6PrefixLength=8
```

### Response Example
    
```json
{
  "Action": "AddSubnetIPv6Response",
  "IPv6Network": "YwSUjIhj",
  "Message": "PKrJJAka",
  "RetCode": 0
}
```





